### Function

# EDataServer WebDAVResource free

since: 3.26

#### Declaration [src]

    void
    e_webdav_resource_free (
      gpointer ptr
    )

#### Description [src]

Frees an `EWebDAVResource` previously created with `e_webdav_resource_new()` or e_webdav_resource_copy(). The function does nothing, if `ptr` is `NULL`.

Available since: 3.26

#### Parameters

`ptr`

  Type: `gpointer`

  An `EWebDAVResource`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.